## Class Apache_Solr_HttpTransport_Abstract

Description

Implements interfaces:

- Apache_Solr_HttpTransport_Interface

Convenience class that implements the transport implementation. Can be extended by

real implementations to do some of the common book keeping

- abstract:

Located in /HttpTransport/Abstract.php (line 43)

Direct descendents

Class | Description
--- | ---
Apache_Solr_HttpTransport_FileGetContents | HTTP Transport implemenation that uses the builtin http URL wrappers and file_get_contents
Apache_Solr_HttpTransport_Curl | A Curl based HTTP transport. Uses a single curl session for all requests.
Apache_Solr_HttpTransport_CurlNoReuse | An alternative Curl HTTP transport that opens and closes a curl session for every request. This isn't the recommended way to use curl, but some version of PHP have memory issues.

Method Summary
float getDefaultTimeout ()
void setDefaultTimeout (float $timeout)
Methods
getDefaultTimeout (line 58)

Get the current default timeout setting (initially the default_socket_timeout ini setting) in seconds

- access: public

float getDefaultTimeout ()

Implementation of:

Apache_Solr_HttpTransport_Interface::getDefaultTimeout()
  Get the current default timeout for all HTTP requests

setDefaultTimeout (line 80)

Set the current default timeout for all HTTP requests

- access: public

void setDefaultTimeout (float $timeout)

- float $timeout

Implementation of:

Apache_Solr_HttpTransport_Interface::setDefaultTimeout()
  Set the current default timeout for all HTTP requests

Documentation generated on Wed, 04 May 2011 11:01:08 -0400 by phpDocumentor 1.4.3